it.csi.mddtools.guigen

## Interface Menubar

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface Menubar
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Menubar'. Contiene la struttura del menu.

  The following features are supported:

  - `Top Level Menu`
  - `Remote Info Box`
  See Also:
    `GuigenPackage.getMenubar()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<Menu>` | `getTopLevelMenu()` Returns the value of the 'Top Level Menu' containment reference list.
    `boolean` | `isRemoteInfoBox()` Returns the value of the 'Remote Info Box' attribute
    `void` | `setRemoteInfoBox(boolean value)` Sets the value of the '`Remote Info Box`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTopLevelMenu

          org.eclipse.emf.common.util.EList<Menu> getTopLevelMenu()

      Returns the value of the 'Top Level Menu' containment reference list. The list contents are of type `Menu`.

      If the meaning of the 'Top Level Menu' containment reference list isn't clear, there really should be more of a description here...

      Contiene il primo livello di voci di menu.
      Returns:
        the value of the 'Top Level Menu' containment reference list.
      See Also:
        `GuigenPackage.getMenubar_TopLevelMenu()`

    - #### isRemoteInfoBox

          boolean isRemoteInfoBox()

      Returns the value of the 'Remote Info Box' attribute.

      If the meaning of the 'Remote Info Box' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Remote Info Box' attribute.
      See Also:
        `setRemoteInfoBox(boolean)`, `GuigenPackage.getMenubar_RemoteInfoBox()`

    - #### setRemoteInfoBox

          void setRemoteInfoBox(boolean value)

      Sets the value of the '`Remote Info Box`' attribute.
      Parameters:
        `value` - the new value of the 'Remote Info Box' attribute.
      See Also:
        `isRemoteInfoBox()`